<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder: Référence du fichier src/linker.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('linker_8c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier linker.c</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contient les fonctions pour gérer le linker.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="search__engine_8h_source.html">../inc/search_engine.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a24bc49552125a5550f08c42d4cc85904"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="linker_8c.html#a24bc49552125a5550f08c42d4cc85904">deleted_files</a> (<a class="el" href="structtable__t.html">table_t</a> *oldtable, <a class="el" href="structtable__t.html">table_t</a> *newtable, int new_files_nb)</td></tr>
<tr class="memdesc:a24bc49552125a5550f08c42d4cc85904"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indique si des éléments ont été supprimé du searchfolder.  <a href="#a24bc49552125a5550f08c42d4cc85904">Plus de détails...</a><br /></td></tr>
<tr class="separator:a24bc49552125a5550f08c42d4cc85904"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a001e6ba05e4a46e4f12d6f289f0e1de2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="linker_8c.html#a001e6ba05e4a46e4f12d6f289f0e1de2">refresh_links</a> (<a class="el" href="structtable__t.html">table_t</a> *oldtable, <a class="el" href="structtable__t.html">table_t</a> *newtable, char *dir_path)</td></tr>
<tr class="memdesc:a001e6ba05e4a46e4f12d6f289f0e1de2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Efface les liens sur des fichiers qui ne doivent plus être dans le searchfolder.  <a href="#a001e6ba05e4a46e4f12d6f289f0e1de2">Plus de détails...</a><br /></td></tr>
<tr class="separator:a001e6ba05e4a46e4f12d6f289f0e1de2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a327d92026a0d9efe3e5baddddc268763"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="linker_8c.html#a327d92026a0d9efe3e5baddddc268763">linker</a> (<a class="el" href="structtable__t.html">table_t</a> *oldtable, <a class="el" href="structtable__t.html">table_t</a> *newtable, <a class="el" href="structtable__t.html">table_t</a> *resolved_table, char *dir_path)</td></tr>
<tr class="memdesc:a327d92026a0d9efe3e5baddddc268763"><td class="mdescLeft">&#160;</td><td class="mdescRight">Vérification si le nombre <em>num</em> est premier.  <a href="#a327d92026a0d9efe3e5baddddc268763">Plus de détails...</a><br /></td></tr>
<tr class="separator:a327d92026a0d9efe3e5baddddc268763"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Contient les fonctions pour gérer le linker. </p>
<dl class="section author"><dt>Auteur</dt><dd>Abdennadher Raed &amp; Antoniadis Orphée </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>27 janvier 2017 </dd></dl>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="a24bc49552125a5550f08c42d4cc85904"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24bc49552125a5550f08c42d4cc85904">&#9670;&nbsp;</a></span>deleted_files()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int deleted_files </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>oldtable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>newtable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>new_files_nb</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Indique si des éléments ont été supprimé du searchfolder. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">oldtable</td><td>Table de hash contenant les fichiers sous <em>searchpath</em> lors du dernier crawl </td></tr>
    <tr><td class="paramname">newtable</td><td>Table de hash contenant les fichiers sous <em>searchpath</em> lors du nouveau crawl </td></tr>
    <tr><td class="paramname">new_files_nb</td><td>Nombre de nouveaux éléments à ajouter au searchfolder </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>1 si des fichiers ont été supprimés sinon 0 </dd></dl>

</div>
</div>
<a id="a327d92026a0d9efe3e5baddddc268763"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a327d92026a0d9efe3e5baddddc268763">&#9670;&nbsp;</a></span>linker()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void linker </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>oldtable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>newtable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>resolved_table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>dir_path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Vérification si le nombre <em>num</em> est premier. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">oldtable</td><td>Table de hash contenant les fichiers sous <em>searchpath</em> lors du dernier crawl </td></tr>
    <tr><td class="paramname">newtable</td><td>Table de hash contenant les fichiers sous <em>searchpath</em> lors du nouveau crawl </td></tr>
    <tr><td class="paramname">resolved_table</td><td>Table de hash ne contenant que les nouveaux fichiers à ajouer au searchfolder </td></tr>
    <tr><td class="paramname">dir_path</td><td>Le nom du répertoire du résultat de recherche </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a001e6ba05e4a46e4f12d6f289f0e1de2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a001e6ba05e4a46e4f12d6f289f0e1de2">&#9670;&nbsp;</a></span>refresh_links()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void refresh_links </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>oldtable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>newtable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>dir_path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Efface les liens sur des fichiers qui ne doivent plus être dans le searchfolder. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">oldtable</td><td>Table de hash contenant les fichiers sous <em>searchpath</em> lors du dernier crawl </td></tr>
    <tr><td class="paramname">newtable</td><td>Table de hash contenant les fichiers sous <em>searchpath</em> lors du nouveau crawl </td></tr>
    <tr><td class="paramname">dir_path</td><td>Le nom du répertoire du résultat de recherche </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="linker_8c.html">linker.c</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
